---
author: <list of authors' real names and optionally, email addresses>
status: <Draft | Active | Accepted | Deferred | Rejected | Withdrawn | Final | Superseded>
type: <Standards Track | Process>
created: <date created on, in yyyy-mm-dd format>
resolution: <url> (required for Accepted | Rejected | Withdrawn)
---

# Mitiq Enhancement Proposal 0000 — TEMPLATE

## Abstract
---

The abstract should be a short description of what the MEP will achieve.

Note that the — in the title is an elongated dash, not -.

## Motivation and Scope
---

This section describes the need for the proposed change. It should describe
the existing problem, who it affects, what it is trying to solve, and why.
This section should explicitly address the scope of and key requirements for
the proposed change.

## Usage and Impact
---

This section describes how users of Mitiq will use features described in this
MEP. It should be comprised mainly of code examples that wouldn't be possible
without acceptance and implementation of this MEP, as well as the impact the
proposed changes would have on the ecosystem. This section should be written
from the perspective of the users of Mitiq, and the benefits it will provide
them; and as such, it should include implementation details only if
necessary to explain the functionality.

## Backward compatibility
---

This section describes the ways in which the MEP breaks backward compatibility.

The mailing list post will contain the MEP up to and including this section.
Its purpose is to provide a high-level summary to users who are not interested
in detailed technical discussion, but may have opinions around, e.g., usage and
impact.

## Detailed description
---

This section should provide a detailed description of the proposed change.
It should include examples of how the new functionality would be used,
intended use-cases and pseudo-code illustrating its use.

### Examples

Give concrete examples for syntax and behavior to illustrate the implementation suggestions above.

#### Example 1:

Insert title and description of the example

```python
# Insert code example that illustrates what is described above.
# Comment your code to further elaborate and clarify the example.
```

## Related Work
---

This section should list relevant and/or similar technologies, possibly in other
libraries. It does not need to be comprehensive, just list the major examples of
prior and relevant art.

## Implementation
---

This section lists the major steps required to implement the MEP.  Where
possible, it should be noted where one step is dependent on another, and which
steps may be optionally omitted.  Where it makes sense, each step should
include a link to related pull requests as the implementation progresses.

Any pull requests or development branches containing work on this MEP should
be linked to from here.  (A MEP does not need to be implemented in a single
pull request if it makes sense to implement it in discrete phases).


## Alternatives
---

If there were any alternative solutions to solving the same problem, they should
be discussed here, along with a justification for the chosen approach.

## Discussion
---

This section may just be a bullet list including links to any discussions
regarding the MEP:

- This includes links to discord threads or relevant GitHub issues.


## References and Footnotes
---

- _Each MEP must either be explicitly labeled as placed in the public domain (see
   this MEP as an example) or licensed under the `Open Publication License`_. [^1]

- _Open Publication License: https://www.opencontent.org/openpub/_


#### Copyright

[^1]: This document has been placed in the public domain.